
Redmine - Feature #26552

Allow "max-height", "max-width", "min-height" and "min-width" CSS properties in Textile

2017-07-27 17:41 - Michael Gerz

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed   

Description

It is not possible to specify the max-width of an image.

The attached patch fixes it.

Related issues:

Related to Redmine - Defect #38073: CommonMark Markdown formatter does not su... Closed

Associated revisions

Revision 17173 - 2018-01-11 02:32 - Go MAEDA

Allow "max-height", "max-width", "min-height" and "min-width" CSS properties in Textile (#26552).

Patch by Michael Gerz and Go MAEDA.

Revision 17175 - 2018-01-13 01:32 - Go MAEDA

Add tests for "height" and "max-height" (#26552).

History

#1 - 2017-07-28 01:25 - Go MAEDA

- Tracker changed from Defect to Feature

- Subject changed from "max-width" is not a valid CSS style to Allow "max-width" in Textile formatting

- Category set to Text formatting

#2 - 2018-01-02 12:58 - Michael Gerz

I suggest applying this patch (that's why I wrote it).

#3 - 2018-01-02 15:48 - Go MAEDA

- File max-width-patch-v2.diff added

Thank you for suggesting the improvement.

I almost agree with you, "max-width" property is beneficial. But I think "max-height" should be available as well. Probably users believe they can also

use "max-height" if Redmine supports "max-width". I have slightly modified your patch to support "max-height".

#4 - 2018-01-02 15:53 - Go MAEDA

- Target version set to 4.1.0

Setting target version to 4.1.0.

#5 - 2018-01-08 02:29 - Go MAEDA

- File max-width-patch-v3.diff added

- Subject changed from Allow "max-width" in Textile formatting to Allow min-width/min-height/max-width/max-height property in Textile

Updated the patch to support min-width and min-height. Now the patch supports properties as follows:

min-width
min-height

max-width

max-height

#6 - 2018-01-10 04:28 - Go MAEDA

- File max-width-patch-v4.diff added

Added tests to the patch.

#7 - 2018-01-11 02:36 - Go MAEDA

- Subject changed from Allow min-width/min-height/max-width/max-height property in Textile to Allow "max-height", "max-width", "min-height" and

"min-width" CSS properties in Textile

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

- Resolution set to Fixed

Committed. Thank you for suggesting this improvement and sharing your patch.

#8 - 2018-01-11 11:39 - Marius BĂLTEANU

Go MAEDA wrote:

Added tests to the patch.

 I would suggest to add the same two tests also for max-height and height.

#9 - 2018-01-11 14:10 - Mischa The Evil

- Status changed from Closed to Reopened

Marius BALTEANU wrote:

Go MAEDA wrote:

Added tests to the patch.

 I would suggest to add the same two tests also for max-height and height.

 I agree.

#10 - 2018-01-11 14:22 - Go MAEDA

- File 26552-test-height.diff added

Marius and Mischa, thank you for pointing it out. Here is a patch to add tests for "height" and "max-height".

#11 - 2018-01-12 03:40 - Marius BĂLTEANU

Go MAEDA wrote:

Marius and Mischa, thank you for pointing it out. Here is a patch to add tests for "height" and "max-height".

 Looks good to me.

#12 - 2018-01-13 01:34 - Go MAEDA

- Status changed from Reopened to Closed

Committed tests for "height" and "max-height" in r17175.

#13 - 2023-01-09 09:22 - Go MAEDA

- Related to Defect #38073: CommonMark Markdown formatter does not support min-width, max-width, min-height, and max-height CSS properties
added

Files

max-width-patch.diff 567 Bytes 2017-07-27 Michael Gerz

max-width-patch-v2.diff 718 Bytes 2018-01-02 Go MAEDA

max-width-patch-v3.diff 712 Bytes 2018-01-08 Go MAEDA

max-width-patch-v4.diff 1.45 KB 2018-01-10 Go MAEDA

26552-test-height.diff 905 Bytes 2018-01-11 Go MAEDA
